# Script: Set-SCCMCacheSize.ps1
# Description: Checks the SCCM Cache Size and sets it to the desired amount.
# Execution: PS> PowerShell.exe -ExecutionPolicy ByPass ".\Set-SCCMCacheSize.ps1" -Wait -WindowStyle Hidden
# Author: Harry Caskey (hcaskey)
# Last Modified: 2016-12-07

# First thing is specify the WMI object you want to query.
$CacheSize = 51200
$Cache = Get-WmiObject -namespace root\ccm\SoftMgmtAgent -class CacheConfig
    # Then run this IF statement to check to see if the Cache Size does not equal (-ne) to the $CacheSize variable .
    If ($Cache.size -ne $CacheSize) {
        $Cache.size = $CacheSize
        $Cache.InUse = "True"
        # If the cache size does not equal to the $CacheSize variable then apply.
        $Cache.Put()
        # Restarts the service after the Put() command.  This is optional, not required and not recommended if you are deploying this script with SCCM.
        #Restart-Service ccmexec
        Exit
    } 
    Else {
        Exit
    }